-rw-r--r-- | delta.jscad | 6 |
1 files changed, 4 insertions, 2 deletions
diff --git a/delta.jscad b/delta.jscad index b783913..b46534a 100644 --- a/delta.jscad +++ b/delta.jscad @@ -457,41 +457,43 @@ var EFFECTOR = { var ymax = Math.max(Math.abs(b[0].y),Math.abs(b[1].y)); var zmax = Math.max(b[0].z,b[1].z); return [-1,1].map(function(s) { return hinged.intersect(CSG.cube({ corner1: [Math.min(b[0].x,b[1].x)-1,s*e.clamp.split/2,-zmax-1], corner2: [Math.max(b[0].x,b[1].x)+1,s*(ymax+1),zmax+1] })); }); }, fanholder: function effector_fanholder() { var fh = CONFIG.effector.fanholder; var od = fh.screw.d+2*fh.screw.m; - return linear_extrude({height:fh.w},hull( + var rv = linear_extrude({height:fh.w},hull( CAG.circle({center:[0,-this.rmount],radius:od/2}), CAG.circle({center:[0,-fh.r+od/2+fh.w/2],radius:fh.w/2}) )).translate([0,0,-fh.w]).union( linear_extrude({height:fh.w},hull( CAG.circle({center:[fh.w/2,-this.rmount-od/2-fh.w/2],radius:fh.w/2}), CAG.circle({center:[od/2,-fh.r],radius:od/2}) )).rotateY(90).translate([-fh.w/2,0,0]) ).subtract( CSG.cylinder({ start: [-fh.w,-fh.r,-od/2], end: [fh.w,-fh.r,-od/2], radius: fh.screw.d/2 })).subtract( CSG.cylinder({ start: [0,-this.rmount,1], end: [0,-this.rmount,-fh.w-1], radius: fh.screw.d/2 - })).setColor([0.3,0.8,0.3,0.9]).rotateZ(-120); + })); + rv.properties.P = new CSG.Connector([0,0,0],[0,0,-1],[1,0,0]); + return rv.setColor([0.3,0.8,0.3,0.9]).rotateZ(-120); } }; function columns() { var rv = [0,1,2].map(function(x) { return union(vector_char(0,0,String.fromCharCode('A'.charCodeAt(0)+x)).segments.map(function(x) { return rectangular_extrude(x,{w:2,h:1}); })).center().rotateX(90).translate([0,50,0]).rotateZ(x*120+120); }); return union(rv); } |